commit:     c488910c231cf895d08191e5042b2e5b0d2d2719
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  7 06:42:24 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr  7 06:42:48 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c488910c

dev-python/pylsqpack: Unbundle dev-libs/ls-qpack

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../files/pylsqpack-0.3.20-unbundle.patch          | 15 +++++++++
 dev-python/pylsqpack/pylsqpack-0.3.20-r1.ebuild    | 38 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/pylsqpack/files/pylsqpack-0.3.20-unbundle.patch 
b/dev-python/pylsqpack/files/pylsqpack-0.3.20-unbundle.patch
new file mode 100644
index 000000000000..6a383511c91d
--- /dev/null
+++ b/dev-python/pylsqpack/files/pylsqpack-0.3.20-unbundle.patch
@@ -0,0 +1,15 @@
+diff --git a/setup.py b/setup.py
+index 03fc754..286eab7 100644
+--- a/setup.py
++++ b/setup.py
+@@ -35,9 +35,8 @@ setuptools.setup(
+             py_limited_api=True,
+             sources=[
+                 "src/pylsqpack/binding.c",
+-                "vendor/ls-qpack/lsqpack.c",
+-                "vendor/ls-qpack/deps/xxhash/xxhash.c",
+             ],
++            libraries=["ls-qpack"],
+         ),
+     ],
+     cmdclass={"bdist_wheel": bdist_wheel_abi3},

diff --git a/dev-python/pylsqpack/pylsqpack-0.3.20-r1.ebuild 
b/dev-python/pylsqpack/pylsqpack-0.3.20-r1.ebuild
new file mode 100644
index 000000000000..0663c9d21345
--- /dev/null
+++ b/dev-python/pylsqpack/pylsqpack-0.3.20-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 pypy3_11 python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python wrapper for the ls-qpack QPACK library"
+HOMEPAGE="
+       https://github.com/aiortc/pylsqpack/
+       https://pypi.org/project/pylsqpack/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+distutils_enable_tests pytest
+
+DEPEND="
+       dev-libs/ls-qpack:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+
+src_prepare() {
+       local PATCHES=(
+               "${FILESDIR}/${P}-unbundle.patch"
+       )
+
+       distutils-r1_src_prepare
+       rm -r vendor || die
+}

Reply via email to